org.apache.xerces.impl.xpath

## Class XPath20Parser

- java.lang.Object
- - org.apache.xerces.impl.xpath.XPath20Parser

-     public class XPath20Parser
      extends java.lang.Object

  Lexical analyzer and parser for test XPath expressions. This parser implementation constructs a syntax tree for valid test XPath expressions which can be later evaluated. (Parser generated using JavaCC)
  Version:
    $Id: XPath20Parser.java 1162200 2011-08-26 18:34:10Z sandygao $
  Author:
    Hiranya Jayathilaka, University of Moratuwa

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CLOSE_PARAN`
    `static int` | `DEFAULT` Lexical state.
    `static int` | `DIGITS`
    `static int` | `EOF`
    `static int` | `ESCAPE_APOS`
    `static int` | `ESCAPE_QUOTE`
    `protected org.apache.xerces.xni.NamespaceContext` | `fNsContext`
    `static int` | `KEYWORD_AND`
    `static int` | `KEYWORD_AS`
    `static int` | `KEYWORD_CAST`
    `static int` | `KEYWORD_OR`
    `static int` | `NCNAME`
    `static int` | `NCNAME_CHAR`
    `static int` | `NCNAME_START_CHAR`
    `Token` | `nextToken` Next token.
    `static int` | `NUMERIC_LITERAL`
    `static int` | `OPEN_PARAN`
    `static int` | `STRING_LITERAL`
    `static int` | `SYMBOL_AT`
    `static int` | `SYMBOL_COLON`
    `static int` | `SYMBOL_EQ`
    `static int` | `SYMBOL_GE`
    `static int` | `SYMBOL_GT`
    `static int` | `SYMBOL_LE`
    `static int` | `SYMBOL_LT`
    `static int` | `SYMBOL_NE`
    `static int` | `SYMBOL_QUESTION`
    `Token` | `token` Current token.
    `XPath20ParserTokenManager` | `tokenSource` Generated Token Manager.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XPath20Parser(java.io.Reader stream, org.apache.xerces.xni.NamespaceContext nsContext)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.xerces.impl.xpath.XPathSyntaxTreeNode` | `parseExpression()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EOF

          public static final int EOF

      See Also:
        Constant Field Values

    - #### KEYWORD_AND

          public static final int KEYWORD_AND

      See Also:
        Constant Field Values

    - #### KEYWORD_OR

          public static final int KEYWORD_OR

      See Also:
        Constant Field Values

    - #### KEYWORD_CAST

          public static final int KEYWORD_CAST

      See Also:
        Constant Field Values

    - #### KEYWORD_AS

          public static final int KEYWORD_AS

      See Also:
        Constant Field Values

    - #### SYMBOL_COLON

          public static final int SYMBOL_COLON

      See Also:
        Constant Field Values

    - #### SYMBOL_AT

          public static final int SYMBOL_AT

      See Also:
        Constant Field Values

    - #### SYMBOL_QUESTION

          public static final int SYMBOL_QUESTION

      See Also:
        Constant Field Values

    - #### OPEN_PARAN

          public static final int OPEN_PARAN

      See Also:
        Constant Field Values

    - #### CLOSE_PARAN

          public static final int CLOSE_PARAN

      See Also:
        Constant Field Values

    - #### SYMBOL_EQ

          public static final int SYMBOL_EQ

      See Also:
        Constant Field Values

    - #### SYMBOL_NE

          public static final int SYMBOL_NE

      See Also:
        Constant Field Values

    - #### SYMBOL_LT

          public static final int SYMBOL_LT

      See Also:
        Constant Field Values

    - #### SYMBOL_GT

          public static final int SYMBOL_GT

      See Also:
        Constant Field Values

    - #### SYMBOL_LE

          public static final int SYMBOL_LE

      See Also:
        Constant Field Values

    - #### SYMBOL_GE

          public static final int SYMBOL_GE

      See Also:
        Constant Field Values

    - #### NUMERIC_LITERAL

          public static final int NUMERIC_LITERAL

      See Also:
        Constant Field Values

    - #### DIGITS

          public static final int DIGITS

      See Also:
        Constant Field Values

    - #### NCNAME

          public static final int NCNAME

      See Also:
        Constant Field Values

    - #### NCNAME_START_CHAR

          public static final int NCNAME_START_CHAR

      See Also:
        Constant Field Values

    - #### NCNAME_CHAR

          public static final int NCNAME_CHAR

      See Also:
        Constant Field Values

    - #### ESCAPE_QUOTE

          public static final int ESCAPE_QUOTE

      See Also:
        Constant Field Values

    - #### ESCAPE_APOS

          public static final int ESCAPE_APOS

      See Also:
        Constant Field Values

    - #### STRING_LITERAL

          public static final int STRING_LITERAL

      See Also:
        Constant Field Values

    - #### DEFAULT

          public static final int DEFAULT

      Lexical state.
      See Also:
        Constant Field Values

    - #### fNsContext

          protected final org.apache.xerces.xni.NamespaceContext fNsContext

    - #### tokenSource

          public XPath20ParserTokenManager tokenSource

      Generated Token Manager.

    - #### token

          public Token token

      Current token.

    - #### nextToken

          public Token nextToken

      Next token.

  - ### Constructor Detail

    - #### XPath20Parser

          public XPath20Parser(java.io.Reader stream,
                       org.apache.xerces.xni.NamespaceContext nsContext)

      Constructor.

  - ### Method Detail

    - #### parseExpression

          public org.apache.xerces.impl.xpath.XPathSyntaxTreeNode parseExpression()
                                                                           throws XPathException

      Throws:
        `XPathException`

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.